"""
addons/source-python/file-logging/file-logging.py

Example addon that provides additional logging to file instead of just the 
default logging.
"""

# =============================================================================
# >> IMPORTS
# =============================================================================

# SP
from core import logging
from paths import LOG_PATH

# Python
from os.path import join
from logging import *

# =============================================================================
# >> IMPORTS
# =============================================================================

def load():
	global l, h
	l = getLogger()
	h = FileHandler(join(LOG_PATH, 'source-python.log'))
	h.setLevel(logging.DEFAULT)
	h.setFormatter(Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s'))
	l.addHandler(h)
	
def unload():
	l.removeHandler(h)
	h.close()
